%define oname   rubigen

Name:       ruby-%{oname}
Version:    1.5.8
Release:    %mkrel 6
Summary:    A framework to allow Ruby applications to generate file/folder stubs
License:    BSD
Group:      Development/Ruby
URL:        http://drnic.github.com/rubigen
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
# fwang: Patch from here: https://github.com/drnic/rubigen/issues/12
Patch0:     rubigen-1.5.8-active-support-3.2.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
A framework to allow Ruby applications to generate file/folder stubs 
(like the `rails` command does for Ruby on Rails, and the 'script/generate'
command within a Rails application during development).

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
gunzip metadata.gz
%patch0 -p1
gzip metadata

%build
%gem_build -f ^generators/

%install
%gem_install

%files
%doc LICENSE License.txt History.txt Todo.txt
%{_bindir}/install_rubigen_scripts
%{_bindir}/rubigen
%{_bindir}/ruby_app
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/generators
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Mon Feb 18 2013 fwang <fwang> 1.5.8-6.mga3
+ Revision: 399036
- more correct patch

* Mon Feb 18 2013 fwang <fwang> 1.5.8-5.mga3
+ Revision: 399032
- add patch from upstream tracker to support rails 3.2

* Fri Feb 08 2013 umeabot <umeabot> 1.5.8-4.mga3
+ Revision: 396399
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.5.8-3.mga3
+ Revision: 381380
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.5.8-2.mga3
+ Revision: 313862
- rebuild for new ruby

* Thu Jun 07 2012 solbu <solbu> 1.5.8-1.mga3
+ Revision: 256720
- New version
- Spec cleanup

* Sat Feb 12 2011 shikamaru <shikamaru> 1.5.6-1.mga1
+ Revision: 51076
- imported package ruby-rubigen

